CA CERTIFICATE ISSUE WHILE INSTALLING ANY PACKAGE

11 replies [Last post]
SabirSaleem90
Offline
Joined: 10/03/2021

HI

I AM INSTALLING PACKAGE FROM ADD PROGRAMS IT IS GIVING AN ERROR FROM THIS MORNING...

W: Failed to fetch https://archive.trisquel.info/trisquel/pool/main/e/evince/evince-common_3.28.4-0ubuntu1.2+9.0trisquel2_all.deb
Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate. Could not handshake: Error in the certificate verification. [IP: 209.51.188.51 443]

W: Failed to fetch https://archive.trisquel.info/trisquel/pool/main/e/evince/libevdocument3-4_3.28.4-0ubuntu1.2+9.0trisquel2_amd64.deb
Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate. Could not handshake: Error in the certificate verification. [IP: 209.51.188.51 443]

W: Failed to fetch https://archive.trisquel.info/trisquel/pool/main/e/evince/libevview3-3_3.28.4-0ubuntu1.2+9.0trisquel2_amd64.deb
Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate. Could not handshake: Error in the certificate verification. [IP: 209.51.188.51 443]

W: Failed to fetch https://archive.trisquel.info/trisquel/pool/main/n/nautilus/libnautilus-extension1a_3.26.4-0~ubuntu18.04.5+9.0trisquel3_amd64.deb
Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate. Could not handshake: Error in the certificate verification. [IP: 209.51.188.51 443]

W: Failed to fetch https://archive.trisquel.info/trisquel/pool/main/e/evince/evince_3.28.4-0ubuntu1.2+9.0trisquel2_amd64.deb
Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate. Could not handshake: Error in the certificate verification. [IP: 209.51.188.51 443]

gaseousness
Offline
Joined: 08/25/2020

.

jlb
jlb
Offline
Joined: 03/28/2021
SabirSaleem90
Offline
Joined: 10/03/2021

Thanks for your answer

This issue is fixed from your given link

I was trying from many hours...:)

jlb
jlb
Offline
Joined: 03/28/2021

You're welcome!

SabirSaleem90
Offline
Joined: 10/03/2021

@jlb

Thanks for your answer my issue resolved from your link.....

I was trying from many hours :)

kusarigama
Offline
Joined: 08/23/2021

Hi folks. Today I got the same error when installing the Trisquel 9 distribution, at the moment of downloading and installing grub. The font on the screenshot is small but you can make out that it is a certificate error. The command suggested in the above topic doesn't help.

Screenshot at 2021-10-04 16-05-52.png
jlb
jlb
Offline
Joined: 03/28/2021

The steps mentioned in the other thread aren't useful in your case. The installer doesn't "respect" the LiveOS' sources.list.

I guess the only solution in your case would be a modified .iso file with the HTTP repo, but I cannot ensure it 100%.

Magic Banana

I am a member!

Online
Joined: 07/24/2010

The installer lets you choose whether it will fetch updates (a box to check), at least with the "Something else" type of install and as far as I remember. If not, simply do not establish the network connection on the live system.

Nevertheless, the failure to install GRUB may have nothing to do fetching updates and everything to do with the graphical installer not supporting your UEFI. If so, you should try the text installation, to be chosen right after booting on the ISO.

Once the system installed (without fetching updates) on your disk, boot it, setup the network connection, maybe substitute every "https" in /etc/apt/sources.list for "http" and you should be able to get the updates.

kusarigama
Offline
Joined: 08/23/2021

Thanx, I will try it next time.

amenex
Offline
Joined: 01/04/2015

Magic Banana wrote: Once the system installed (without fetching updates) on your disk, boot it, setup the network connection,
maybe substitute every "https" in /etc/apt/sources.list for "http" and you should be able to get the updates.

In early 2019, whenever I accessed Cpanel to update email messages with http://www.pinthetaleonthedonkey.com/cPanel/,
the request was not redirected to https://www.pinthetaleonthedonkey.com/cPanel/ until after several surreptitious
logins from hackers had been attempted. My ISP corrected that situation by changing the path to Cpanel:
https://secureXXX.inmotionhosting.com:YYYY/ whereupon the extraneous login attempts ceased.

strypey
Offline
Joined: 05/14/2015

I found I was unable to update my Flidas system today (Etiona on my other laptop updates fine). Could this be caused by these same SSL issues?

Here is the output I got:

create@vision:~$ sudo apt update && sudo apt upgrade -y
[sudo] password for create:
Ign:1 https://archive.trisquel.info/trisquel flidas InRelease
Hit:2 https://dl.jami.net/nightly/ubuntu_16.04 ring InRelease
Ign:3 https://apt.syncthing.net syncthing InRelease
Ign:4 https://archive.trisquel.info/trisquel flidas-security InRelease
Hit:5 https://wire-app.wire.com/linux/debian stable InRelease
Err:6 https://apt.syncthing.net syncthing Release
server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
Ign:7 https://archive.trisquel.info/trisquel flidas-updates InRelease
Hit:8 mirror://linux-libre.fsfla.org/pub/linux-libre/liberty/mirrors.txt liberty InRelease
Err:9 https://archive.trisquel.info/trisquel flidas Release
server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
Ign:10 https://packages.mailpile.is/deb release InRelease
Err:11 https://archive.trisquel.info/trisquel flidas-security Release
server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
Err:12 https://archive.trisquel.info/trisquel flidas-updates Release
server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
Err:13 https://packages.mailpile.is/deb release Release
server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
Reading package lists... Done
E: The repository 'https://apt.syncthing.net syncthing Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'https://archive.trisquel.info/trisquel flidas Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'https://archive.trisquel.info/trisquel flidas-security Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'https://archive.trisquel.info/trisquel flidas-updates Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'https://packages.mailpile.is/deb release Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.